/*
 *      Program do przegladania logow z ekg.
 *      Komunikaty pomocy.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "help.hh"


void help_keys(mainwin *w) {
    w->print("\n   Klawisze:\n\n"
	    " \\c710Strzaki gra/d\\d - przewijanie zawartoci okien co jedn lini\n"
	    " \\c710PgUp/PgDown\\d       - jw. ale o ca dugo okna\n"
	    " \\c710Enter\\d             - w licie \\c710Rozmowy\\d zatwierdza do wywietlenia\n"
	    "                     w licie \\c710Kontakty\\d zatwierdza i przechodzi do listy \\c710Rozmowy\\d\n"
	    " \\c710Alt\\d+\\c7101\\d,\\c7102\\d,\\c7103\\d,\\c7104\\d,\\c7105\\d     - wybr aktywnego okna\n"
	    " \\c710F10\\d               - zakoczenie dziaania programu\n\n"
	    " W linii polece (\\c710Alt\\d+\\c7105\\d) wpisuje si komendy."
	    " Aby uzyska ich list wcinij \\c710F2\\d.",
	    "\\c010:\\c600:\\c610:\\d "
    );
    w->passive();
}


void help_commands(mainwin *w) {
    w->print("\n   Dostpne komendy:\n\n"
	" \\c710help\\d    - ekran pomocy\n"
	" \\c710list\\d    - lista kontaktw\n"
	" \\c710find\\d    - znajd w rozmowach podany string\n"
	" \\c710quit\\d    - koczy dziaanie programu\n\n"
	"Wpisz help help, aby otrzyma wicej pomocy.",
	"\\c010:\\c600:\\c610:\\d "
    );
    w->passive();
}


void help_command_help(mainwin *w) {
    w->print("\\c710help\\d <komenda> - wywietla pomoc dla danej komendy",
	"\\c010:\\c600:\\c610:\\d "
    );
    w->passive();
}


void help_command_find(mainwin *w) {
    w->print("\\c710find\\d <cig> - wyszukuje we wszystkich wiadomociach podany cig; "
	     "jeli <cig> zostanie powtrzony po raz drugi, wyszuka nastpne "
	     "wystpienie\n\n"
	     "   Parametry:\n"
	     " -c <cig> - jeli otwarta jest jaka rozmowa, zaczyna wyszukiwanie "
	     "od tej rozmowy\n\n"
	     "Znaki specjalne poprzedza si znakiem \\; poszukiwany cig mona te "
	     "uj w znaki cudzysowu, np. \"wyszukiwany cig\".",
	"\\c010:\\c600:\\c610:\\d "
    );
    w->passive();
}


void help_command_list(mainwin *w) {
    w->print("\\c710list\\d - wywietla list kontaktw\n\n"
	     "   Parametry:\n"
	     " -n - posortuj wg. nickw\n"
	     " -u - posortuj wg. uinw\n"
	     " -c - posortuj wg. iloci chatw\n"
	     " -m - posortuj wg. iloci wiadomoci\n"
	     " -a - podsumowanie listy kontaktw\n\n"
	     "Domylnie przyjmowane jest -n.",
	"\\c010:\\c600:\\c610:\\d "
    );
    w->passive();
}
